CREATE TABLE doo_hold_step_instances (
    STEP_INSTANCE_ID         NUMBER(18, 0),
    TASK_INSTANCE_ID         NUMBER(18, 0),
    HOLD_INSTANCE_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    STEP_INSTANCE_ID         NUMBER(18, 0),
    TASK_INSTANCE_ID         NUMBER(18, 0),
    HOLD_INSTANCE_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_doo_hold_step_instances PRIMARY KEY (STEP_INSTANCE_ID, HOLD_INSTANCE_ID, STEP_INSTANCE_ID, HOLD_INSTANCE_ID)
);
